curl -X DELETE "https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups/c1a2b3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer sess_..."
{
"success": true,
"message": "Backup deleted."
}
{
"success": false,
"error": "Cannot delete a backup created less than 1 hour ago."
}
Backups
Delete Backup
Permanently deletes a backup. Only allowed after the backup is at least 1 hour old.
DELETE
/
bots
/
{id}
/
backups
/
{backupId}
curl -X DELETE "https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups/c1a2b3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer sess_..."
{
"success": true,
"message": "Backup deleted."
}
{
"success": false,
"error": "Cannot delete a backup created less than 1 hour ago."
}
Path Parameters
string
required
UUID of the bot.
string
required
UUID of the backup to delete.
Check
can_delete: true in the list response before attempting to delete.curl -X DELETE "https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/backups/c1a2b3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer sess_..."
{
"success": true,
"message": "Backup deleted."
}
{
"success": false,
"error": "Cannot delete a backup created less than 1 hour ago."
}

